## ros-geometry2 0.5.16

=== geometry2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry2)
find_package(catkin REQUIRED)
catkin_metapackage()

=== geometry_experimental/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry_experimental)
find_package(catkin REQUIRED)
catkin_metapackage()

=== tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2)

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS geometry_msgs rostime tf2_msgs)
find_package(Boost REQUIRED COMPONENTS signals system thread)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES tf2 
   DEPENDS console_bridge
   CATKIN_DEPENDS geometry_msgs tf2_msgs rostime)

include_directories (src/bt)
include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

# export user definitions

#CPP Libraries
add_library(tf2 src/cache.cpp src/buffer_core.cpp src/static_cache.cpp)
target_link_libraries(tf2 ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES})
add_dependencies(tf2 ${catkin_EXPORTED_TARGETS})

install(TARGETS tf2
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Tests
if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_cache_unittest test/cache_unittest.cpp)
target_link_libraries(test_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_static_cache_unittest test/static_cache_test.cpp)
target_link_libraries(test_static_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_static_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_simple test/simple_tf2_core.cpp)
target_link_libraries(test_simple tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_simple ${catkin_EXPORTED_TARGETS})

add_executable(speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(speed_test tf2  ${console_bridge_LIBRARIES})
add_dependencies(tests speed_test)
add_dependencies(tests ${catkin_EXPORTED_TARGETS})

endif()

=== tf2_bullet/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_bullet)

find_package(PkgConfig REQUIRED)

set(bullet_FOUND 0)
pkg_check_modules(bullet REQUIRED bullet)

find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2)

include_directories(include ${bullet_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(INCLUDE_DIRS include ${bullet_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_bullet test/test_tf2_bullet.cpp)
target_link_libraries(test_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_geometry_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_geometry_msgs)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2_ros tf2)
find_package(Boost COMPONENTS thread REQUIRED)

# Issue #53
find_library(KDL_LIBRARY REQUIRED NAMES orocos-kdl HINTS ${orocos_kdl_LIBRARY_DIRS})

catkin_package(
   LIBRARIES ${KDL_LIBRARY}
   INCLUDE_DIRS include
   DEPENDS orocos_kdl
   CATKIN_DEPENDS  geometry_msgs tf2_ros tf2)


include_directories(include
                    ${catkin_INCLUDE_DIRS}
)

link_directories(${orocos_kdl_LIBRARY_DIRS})



install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_tomsg_frommsg test/test_tomsg_frommsg.cpp)
target_link_libraries(test_tomsg_frommsg ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

find_package(catkin REQUIRED COMPONENTS geometry_msgs rostest tf2_ros tf2)

add_executable(test_geometry_msgs EXCLUDE_FROM_ALL test/test_tf2_geometry_msgs.cpp)
target_link_libraries(test_geometry_msgs ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)


if(TARGET tests)
  add_dependencies(tests test_geometry_msgs)
endif()


endif()

=== tf2_kdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_kdl)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS cmake_modules tf2 tf2_ros tf2_msgs)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()


catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  DEPENDS EIGEN3 orocos_kdl
)


catkin_python_setup()
link_directories(${orocos_kdl_LIBRARY_DIRS})

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})


install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(PROGRAMS scripts/test.py
         DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


if(CATKIN_ENABLE_TESTING)

  find_package(catkin REQUIRED COMPONENTS rostest tf2 tf2_ros tf2_msgs)

  add_executable(test_kdl EXCLUDE_FROM_ALL test/test_tf2_kdl.cpp)
  find_package(Threads)
  target_link_libraries(test_kdl ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES} ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)

  if(TARGET tests)
    add_dependencies(tests test_kdl)
  endif()

endif()

=== tf2_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_py)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy tf2)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


find_package(PythonLibs 2 REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH} ${catkin_INCLUDE_DIRS})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tf2_py
  CATKIN_DEPENDS rospy tf2
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(tf2_py
#   src/${PROJECT_NAME}/tf2_py.cpp
# )

## Declare a cpp executable
# add_executable(tf2_py_node src/tf2_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(tf2_py_node tf2_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(tf2_py_node
#   ${catkin_LIBRARIES}
# )


# Check for SSE
#!!! rosbuild_check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.

link_libraries(${PYTHON_LIBRARIES})
add_library(tf2_py src/tf2_py.cpp)
target_link_libraries(tf2_py ${catkin_LIBRARIES})
add_dependencies(tf2_py ${catkin_EXPORTED_TARGETS})

set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")
set_target_properties(tf2_py PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
set_target_properties(tf2_py PROPERTIES
  ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
)
#!! rosbuild_add_compile_flags(tf2_py ${SSE_FLAGS}) #conditionally adds sse flags if available


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tf2_py tf2_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/_tf2.so
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)


#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tf2_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== tf2_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_ros)

if(NOT ANDROID)
set(TF2_PY tf2_py)
endif()

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  tf2
  tf2_msgs
  ${TF2_PY}
)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  tf2
  tf2_msgs
  ${TF2_PY}
)

include_directories(include ${catkin_INCLUDE_DIRS})

# tf2_ros library
add_library(${PROJECT_NAME}
  src/buffer.cpp
  src/transform_listener.cpp
  src/buffer_client.cpp
  src/buffer_server.cpp
  src/transform_broadcaster.cpp
  src/static_transform_broadcaster.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# buffer_server executable
add_executable(${PROJECT_NAME}_buffer_server src/buffer_server_main.cpp)
add_dependencies(${PROJECT_NAME}_buffer_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_buffer_server
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_buffer_server
  PROPERTIES OUTPUT_NAME buffer_server
)

# static_transform_publisher
add_executable(${PROJECT_NAME}_static_transform_publisher
  src/static_transform_broadcaster_program.cpp
)
add_dependencies(${PROJECT_NAME}_static_transform_publisher ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_static_transform_publisher
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_static_transform_publisher
  PROPERTIES OUTPUT_NAME static_transform_publisher
)

# Install rules
install(TARGETS
  ${PROJECT_NAME} ${PROJECT_NAME}_buffer_server
  ${PROJECT_NAME}_static_transform_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)


# Tests
if(CATKIN_ENABLE_TESTING)

# new requirements for testing
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  rostest
  tf2
  tf2_msgs
  ${TF2_PY}
)



# tf2_ros_test_listener
add_executable(${PROJECT_NAME}_test_listener EXCLUDE_FROM_ALL test/listener_unittest.cpp)
add_dependencies(${PROJECT_NAME}_test_listener ${catkin_EXPORTED_TARGETS})
add_executable(${PROJECT_NAME}_test_time_reset EXCLUDE_FROM_ALL test/time_reset_test.cpp)
add_dependencies(${PROJECT_NAME}_test_time_reset ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_test_listener
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}_test_time_reset
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

add_dependencies(tests ${PROJECT_NAME}_test_listener)
add_dependencies(tests ${PROJECT_NAME}_test_time_reset)

add_rostest(test/transform_listener_unittest.launch)
add_rostest(test/transform_listener_time_reset_test.launch)

endif()

=== tf2_sensor_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_sensor_msgs)

find_package(catkin REQUIRED COMPONENTS cmake_modules sensor_msgs tf2_ros tf2)
find_package(Boost COMPONENTS thread REQUIRED)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS sensor_msgs tf2_ros tf2
   DEPENDS EIGEN3
)


include_directories(include
   ${catkin_INCLUDE_DIRS}
   ${EIGEN3_INCLUDE_DIRS}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/test_tf2_sensor_msgs.py)

  find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs rostest tf2_ros tf2)

  add_executable(test_tf2_sensor_msgs_cpp EXCLUDE_FROM_ALL test/test_tf2_sensor_msgs.cpp)
  target_link_libraries(test_tf2_sensor_msgs_cpp ${catkin_LIBRARIES} ${GTEST_LIBRARIES})


  if(TARGET tests)
    add_dependencies(tests test_tf2_sensor_msgs_cpp)
  endif()
  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)

endif()

=== tf2_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_tools)

find_package(catkin REQUIRED COMPONENTS tf2
                                         tf2_msgs
                                         tf2_ros
)

catkin_package(
   CATKIN_DEPENDS tf2
                  tf2_msgs
                  tf2_ros)

install(PROGRAMS scripts/view_frames.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-geometry2 (0.5.16-4) unstable; urgency=medium

  * Disable packages depending on PyKDL (not in Debian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Apr 2018 07:54:41 +0200

ros-geometry2 (0.5.16-3) unstable; urgency=medium

  * Bugfix release while waiting for the package in NEW.
  * Add dependency of libtf2-kdl-dev to libeigen3-dev (Closes: #894644)
  * Add missing dependencies (Closes: #896236, #896394, #896409, #896413)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:22:23 +0200

ros-geometry2 (0.5.16-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891518)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:26:06 +0100

ros-geometry2 (0.5.16-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update policy and debhelper versions
  * Update copyright
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Rename package to ros-geometry2
  * Add dependencies
  * Add explicit python:any dependency for lintian
  * New upstream version 0.5.16
  * Remoe ros-cmake-modules as a dependency
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 30 Sep 2017 10:31:21 +0200

ros-geometry-experimental (0.5.13-5) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:17:14 +0100

ros-geometry-experimental (0.5.13-4) unstable; urgency=medium

  * Fix build dependencies (Closes: #835140)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 15:36:55 +0200

ros-geometry-experimental (0.5.13-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in a separate package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 09:37:53 +0200

ros-geometry-experimental (0.5.13-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:23:10 +0200

ros-geometry-experimental (0.5.13-1) unstable; urgency=medium

  * Fix includes in tf2_eigen
  * Imported Upstream version 0.5.13
  * Refresh patches
  * Update upstream URL

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:35:38 +0200

ros-geometry-experimental (0.5.12-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Adopt to new libexec location in catkin

  [ Leopold Palomo-Avellaneda ]
  * Duplicate dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 07:14:53 +0100

ros-geometry-experimental (0.5.12-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:04:48 +0100

ros-geometry-experimental (0.5.12-1) unstable; urgency=medium

  * Initial package. Closes: #806278

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2015 03:34:58 +0000

=== debian/control ===
Source: ros-geometry2
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10),
		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
		libgeometry-msgs-dev, ros-actionlib-msgs,
		libconsole-bridge-dev, python-rospy, libpython-dev,
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev, ros-sensor-msgs
Standards-Version: 4.1.1
Section: libs
Homepage: http://wiki.ros.org/geometry2
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git

Package: libtf2-0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the library itself.

Package: libtf2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtf2-0d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files of the tf2 library.

Package: python-tf2
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
Description: Robot OS tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python binding.

Package: libtf2-ros0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf2-dev, libtf2-ros0d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, python-rosgraph, libtf2-msgs-dev, python-tf2
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files of the ROS binding to tf2.

Package: python-tf2-ros
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs
Description: Robot OS binding for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the ROS Python binding to tf2.

Package: ros-tf2-msgs
Section: devel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Robot OS messages for tf2 transform library - definitions
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the message definitions.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-message-generation, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files.

Package: python-tf2-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
Description: Robot OS messages for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python code.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the LISP binding (services).


Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libeigen3-dev, libsensor-msgs-dev, libtf2-ros-dev, libtf2-dev
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python-tf2-sensor-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
Description: Robot OS sensor messages for tf2 transform library - Python
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the Python code to transform sensor_msgs with tf2.

# tf2_bullet  
Package: libtf2-bullet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev
Description: Robot OS tf2 transform library for Bullet - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files for libtf2 for Bullet.

#tf2_eigen
Package: libtf2-eigen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
Description: Robot OS tf2 transform library for Eigen - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains development files to convert between libtf2 and Eigen.

#tf2_geometry_msgs
Package: libtf2-geometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-ros-dev, libtf2-dev
Description: Robot OS geometry messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time. 
 .
 This package contains the development files to transform geometry messages
 to tf2.

#Package: python-tf2-geometry-msgs
#Section: python
#Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with python2


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometry2-$1.tar.gz%" \
    https://github.com/ros/geometry2/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-geometry2 0.6.2

=== debian/changelog ===
ros-geometry2 (0.6.2-8) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete DEB_EXPORT_BUILDFLAGS from d/rules, covered by dh nowdays.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 13:59:48 +0200

ros-geometry2 (0.6.2-7) unstable; urgency=medium

  * Build correct Python 3 version of tf2_py
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 18:47:11 +0200

ros-geometry2 (0.6.2-6) unstable; urgency=medium

  * Add Python 3 package
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jul 2018 22:18:22 +0200

ros-geometry2 (0.6.2-5) unstable; urgency=medium

  * Fix location of cmake files (requires new catkin)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Jun 2018 22:11:20 +0200

ros-geometry2 (0.6.2-4) unstable; urgency=medium

  * Fix dependency-is-not-multi-archified

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Jun 2018 06:58:38 +0200

ros-geometry2 (0.6.2-3) unstable; urgency=medium

  * Fix location of python-tf2 pkgconfig
  * Update MA hints
  * Remove versioned dependencies
  * Add test dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 19:35:57 +0200

ros-geometry2 (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 May 2018 13:30:48 +0200

ros-geometry2 (0.6.2-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add missing dependencies
  * Disable packages depending on PyKDL (not in Debian)

  [ Johannes Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * New upstream version 0.6.2
  * Update Copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 16:08:51 +0200

ros-geometry2 (0.6.1-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 0.6.1
  * Remove patch included in upstream
  * Update policy and debhelper versions
  * Add dependency of libtf2-kdl-dev to libeigen3-dev (Closes: #894644)
  * Bump soname of libtf2 due to ABI change
  * Add more Multi-Arch tags

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 17:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10),
-		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
+Build-Depends: debhelper (>= 11), dh-exec,
+		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		python-dev, python3-dev, python-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-actionlib-msgs,
-		libconsole-bridge-dev, python-rospy, libpython-dev,
+		libconsole-bridge-dev, python-rospy,
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
@@ -16,13 +16,14 @@
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, ros-sensor-msgs
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Section: libs
-Homepage: http://wiki.ros.org/geometry2
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/geometry2
 Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
 Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git
 
-Package: libtf2-0d
+Package: libtf2-1d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -39,7 +40,8 @@
 Package: libtf2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtf2-0d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libtf2-1d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
 Description: Robot OS tf2 transform library - development files
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -53,16 +55,32 @@
 Package: python-tf2
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
-Description: Robot OS tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python binding.
+Description: Robot OS tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 binding.
+
+Package: python3-tf2
+Section: python
+Architecture: any
+Multi-Arch: same
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
+Description: Robot OS tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 3 binding.
 
 Package: libtf2-ros0d
 Architecture: any
@@ -97,20 +115,34 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs
-Description: Robot OS binding for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the ROS Python binding to tf2.
+Description: Robot OS binding for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the ROS Python 2 binding to tf2.
+
+Package: python3-tf2-ros
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs
+Description: Robot OS binding for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the ROS Python 3 binding to tf2.
 
 Package: ros-tf2-msgs
 Section: devel
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
 Description: Robot OS messages for tf2 transform library - definitions
  This package is part of Robot OS (ROS). tf2 is the second generation
@@ -141,19 +173,34 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
-Description: Robot OS messages for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python code.
+Description: Robot OS messages for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 code.
+
+Package: python3-tf2-msgs
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs, python3-actionlib-msgs
+Description: Robot OS messages for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 3 code.
 
 Package: cl-tf2-msgs
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
 Description: Robot OS tf2 transform library messages - LISP
  This package is part of Robot OS (ROS). tf2 is the second generation
@@ -200,65 +247,16 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
-Description: Robot OS sensor messages for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python code to transform sensor_msgs with tf2.
-
-# tf2_bullet  
-Package: libtf2-bullet-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev
-Description: Robot OS tf2 transform library for Bullet - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the development files for libtf2 for Bullet.
-
-#tf2_eigen
-Package: libtf2-eigen-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
-Description: Robot OS tf2 transform library for Eigen - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains development files to convert between libtf2 and Eigen.
-
-#tf2_geometry_msgs
-Package: libtf2-geometry-msgs-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-ros-dev, libtf2-dev
-Description: Robot OS geometry messages for tf2 transform library - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the development files to transform geometry messages
- to tf2.
-
-#Package: python-tf2-geometry-msgs
-#Section: python
-#Architecture: all
+Description: Robot OS sensor messages for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 code to transform sensor_msgs with tf2.
+
+Package: python3-tf2-sensor-msgs
+Section: python
+Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, catkin, g++
